Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.actions 6.5.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.actions
Class PasteAction

    java.lang.Object
      org.openide.util.SharedClassObject
          org.openide.util.actions.SystemAction
              org.openide.util.actions.CallableSystemAction
                  org.openide.util.actions.CallbackSystemAction
                      org.openide.actions.PasteAction

All Implemented Interfaces:
  ActionListener, Externalizable, Serializable, EventListener, Action, Presenter, Presenter.Menu, Presenter.Popup, Presenter.Toolbar, ContextAwareAction, HelpCtx.Provider

    public final class PasteAction

extends CallbackSystemAction

Paste from clipboard. This is a callback system action, with enhanced behaviour. Others can plug in by adding

     topcomponent.getActionMap ().put (javax.swing.text.DefaultEditorKit.pasteAction, theActualAction);

or by using the now deprecated `setPasteTypes` and `setActionPerformer` methods.

There is a special support for more than one type of paste to be enabled at once. If the `theActualAction` returns array of actions from `getValue ("delegates")` than those actions are offered as subelements by the paste action presenter.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.openide.util.actions.Presenter
`Presenter.Menu, Presenter.Popup, Presenter.Toolbar`

Nested classes/interfaces inherited from interface org.openide.util.actions.Presenter
`Presenter.Menu, Presenter.Popup, Presenter.Toolbar`

Nested classes/interfaces inherited from interface org.openide.util.actions.Presenter
`Presenter.Menu, Presenter.Popup, Presenter.Toolbar`

Field Summary

Fields inherited from class org.openide.util.actions.SystemAction
`PROP_ENABLED, PROP_ICON`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`PasteAction()`

Method Summary
`void` | `actionPerformed(ActionEvent ev)`
`protected boolean` | `asynchronous()`
`Action` | `createContextAwareInstance(Lookup actionContext)`
`Object` | `getActionMapKey()`
`HelpCtx` | `getHelpCtx()`
`JMenuItem` | `getMenuPresenter()`
`String` | `getName()`
`PasteType[]` | `getPasteTypes()` Get all paste types.
`JMenuItem` | `getPopupPresenter()`
`protected String` | `iconResource()`
`protected void` | `initialize()`
`void` | `setPasteTypes(PasteType[] types)` Deprecated. Use `TopComponent.getActionMap ().put (javax.swing.text.DefaultEditorKit.pasteAction, yourPasteAction);` If you want register more paste types then use an action which delegates to an array of `PasteAction` or also can delegate to an array of `org.openide.util.datatransfer.PasteType`.

Methods inherited from class org.openide.util.actions.CallbackSystemAction
`getActionPerformer, getSurviveFocusChange, performAction, setActionPerformer, setSurviveFocusChange`

Methods inherited from class org.openide.util.actions.CallableSystemAction
`getToolbarPresenter`

Methods inherited from class org.openide.util.actions.SystemAction
`clearSharedData, createPopupMenu, createToolbarPresenter, get, getIcon, getIcon, getValue, isEnabled, linkActions, putValue, setEnabled, setIcon`

Methods inherited from class org.openide.util.SharedClassObject
`addNotify, addPropertyChangeListener, equals, finalize, findObject, findObject, firePropertyChange, getLock, getProperty, hashCode, putProperty, putProperty, readExternal, removeNotify, removePropertyChangeListener, reset, writeExternal, writeReplace`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.Action
`addPropertyChangeListener, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Constructor Detail

### PasteAction

    public PasteAction()

Method Detail

### initialize

    protected void initialize()

  Overrides:
    `initialize` in class `CallbackSystemAction`

### getName

    public String getName()

  Specified by:
    `getName` in class `SystemAction`

### getHelpCtx

    public HelpCtx getHelpCtx()

  Specified by:
    `getHelpCtx` in interface `HelpCtx.Provider`
  Specified by:
    `getHelpCtx` in class `SystemAction`

### iconResource

    protected String iconResource()

  Overrides:
    `iconResource` in class `SystemAction`

### getMenuPresenter

    public JMenuItem getMenuPresenter()

  Specified by:
    `getMenuPresenter` in interface `Presenter.Menu`
  Overrides:
    `getMenuPresenter` in class `CallableSystemAction`

### getPopupPresenter

    public JMenuItem getPopupPresenter()

  Specified by:
    `getPopupPresenter` in interface `Presenter.Popup`
  Overrides:
    `getPopupPresenter` in class `CallableSystemAction`

### createContextAwareInstance

    public Action createContextAwareInstance(Lookup actionContext)

  Specified by:
    `createContextAwareInstance` in interface `ContextAwareAction`
  Overrides:
    `createContextAwareInstance` in class `CallbackSystemAction`

### getActionMapKey

    public Object getActionMapKey()

  Overrides:
    `getActionMapKey` in class `CallbackSystemAction`

### actionPerformed

    public void actionPerformed(ActionEvent ev)

  Specified by:
    `actionPerformed` in interface `ActionListener`
  Overrides:
    `actionPerformed` in class `CallbackSystemAction`

### asynchronous

    protected boolean asynchronous()

  Overrides:
    `asynchronous` in class `CallableSystemAction`

### setPasteTypes

    public void setPasteTypes(PasteType[] types)

  Deprecated. Use `TopComponent.getActionMap ().put (javax.swing.text.DefaultEditorKit.pasteAction, yourPasteAction);` If you want register more paste types then use an action which delegates to an array of `PasteAction` or also can delegate to an array of `org.openide.util.datatransfer.PasteType`.

  Set possible paste types. Automatically enables or disables the paste action according to whether there are any.

  Parameters:
    `types` - the new types to allow, or `null`

### getPasteTypes

    public PasteType[] getPasteTypes()

  Get all paste types.

  Returns:
    all possible paste types, or `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.actions 6.5.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.